[Task] Allow to render snaks filtered by property label
Closed, InvalidPublic1 Story Points

Description

An optional parameter propertyLabelOrId should be added to wikibase.renderSnaks to allow filtering the passed snaks by a given property label or id. This is needed when only parts of a snak list (eg. in a reference or in qualifiers) should be rendered, or if some snaks for a given property should be rendered differently.

Bene created this task.May 30 2015, 4:40 PM
Bene updated the task description. (Show Details)
Bene raised the priority of this task from to Needs Triage.
Bene added subscribers: Lydia_Pintscher, hoo, Bene, Aklapper.

Change 214820 had a related patch set uploaded (by Bene):
Allow filtering by property in wikibase.renderSnaks

https://gerrit.wikimedia.org/r/214820

Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW moved this task from Backlog to Review on the Wikidata-Sprint-2015-06-02 board.
Tobi_WMDE_SW assigned this task to Bene.Jun 2 2015, 1:34 PM
Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:03 PM
Tobi_WMDE_SW triaged this task as Normal priority.Jun 5 2015, 9:10 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 1 2015, 7:58 AM
Bene renamed this task from Allow filtering by property in wikibase.renderSnaks to Allow to render snaks filtered by property label.Jul 1 2015, 7:58 AM
Bene removed Bene as the assignee of this task.

We have to rethink the rendering of snaks and basically all formatters and might consider to do something completely different.

Is this still needed?

Jonas renamed this task from Allow to render snaks filtered by property label to [Taks] Allow to render snaks filtered by property label.Aug 13 2015, 3:29 PM
Lydia_Pintscher renamed this task from [Taks] Allow to render snaks filtered by property label to [Task] Allow to render snaks filtered by property label.Aug 13 2015, 8:03 PM
Lydia_Pintscher closed this task as Invalid.Apr 23 2017, 4:34 PM

Change 214820 abandoned by Addshore:
Allow filtering by property in wikibase.renderSnaks

https://gerrit.wikimedia.org/r/214820